# Uses of Class
ij.macro.Interpreter

Packages that use Interpreter
Package
Description
ij
ij.macro
ij.plugin.frame

## Uses of Interpreter in ij

Methods in ij with parameters of type Interpreter
Modifier and Type
Method
Description
`static ImagePlus`
IJ.`getImage(Interpreter interpreter)`
The macro interpreter uses this method to call getImage().
`static void`
IJ.`run(Interpreter interpreter, String command, String options)`
The macro interpreter uses this method to run commands.

## Uses of Interpreter in ij.macro

Methods in ij.macro that return Interpreter
Modifier and Type
Method
Description
`static Interpreter`
Interpreter.`getInstance()`
Methods in ij.macro with parameters of type Interpreter
Modifier and Type
Method
Description
`static void`
Interpreter.`abort(Interpreter interp)`
Absolete, replaced by abortMacro().
`static Object`
ExtensionDescriptor.`convertVariable(Interpreter interp, int rawType, Variable var)`
`int`
Debugger.`debug(Interpreter interp, int mode)`

## Uses of Interpreter in ij.plugin.frame

Methods in ij.plugin.frame with parameters of type Interpreter
Modifier and Type
Method
Description
`int`
Editor.`debug(Interpreter interp, int mode)`